Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Tools/Xabsl2/GT/GTXabsl2Profiler/GTXabsl2ProfilerLog.h File Reference

`#include <string>`
`#include <vector>`
`#include <deque>`
`#include "Platform/GTAssert.h"`
`#include "Tools/Streams/OutStreams.h"`
`#include "Platform/SystemCall.h"`
`#include "Tools/Xabsl2/Xabsl2Engine/Xabsl2Engine.h"`
`#include "Tools/Debugging/Debugging.h"`
`#include "Tools/Streams/InStreams.h"`
`#include "Tools/Module/SolutionRequest.h"`
`#include "GTXabsl2ProfilerNameTable.h"`

Include dependency graph for GTXabsl2ProfilerLog.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | GTXabsl2ActiveOption
class | GTXabsl2LogEntry
| Class for keeping numerical activation paths and framenumbers. More...
class | GTXabsl2Log
## Functions
In & | operator>> (In &in, GTXabsl2LogEntry &log)
| Streaming operator that reads KickCase from a stream.
Out & | operator<< (Out &out, const GTXabsl2LogEntry &log)
| Streaming operator that writes KickCase to a stream.
In & | operator>> (In &in, GTXabsl2Log &log)
| Streaming operator that reads KickCase from a stream.
Out & | operator<< (Out &out, const GTXabsl2Log &log)
| Streaming operator that writes KickCase to a stream.

## Function Documentation

In& operator>> | ( | In & | in,
|  | GTXabsl2LogEntry & | log
| ) |

  | Streaming operator that reads KickCase from a stream. Parameters:
  in | The stream from which is read.
  log | The log object.
Returns: The stream. Definition at line 17 of file GTXabsl2ProfilerLog.cpp. References GTXabsl2LogEntry::activeOptions, GTXabsl2LogEntry::frameNumber, in, and GTXabsl2LogEntry::inputSymbolValues.

Out& operator<< | ( | Out & | out,
|  | const GTXabsl2LogEntry & | log
| ) |

  | Streaming operator that writes KickCase to a stream. Parameters:
  out | The stream to write on.
  log | The log object.
Returns: The stream. Definition at line 62 of file GTXabsl2ProfilerLog.cpp. References GTXabsl2LogEntry::activeOptions, GTXabsl2LogEntry::frameNumber, GTXabsl2LogEntry::inputSymbolValues, and out.

In& operator>> | ( | In & | in,
|  | GTXabsl2Log & | log
| ) |

  | Streaming operator that reads KickCase from a stream. Parameters:
  in | The stream from which is read.
  log | The log object.
Returns: The stream. Definition at line 102 of file GTXabsl2ProfilerLog.cpp. References in, GTXabsl2Log::inputSymbolNames, and GTXabsl2Log::nameTable.

Out& operator<< | ( | Out & | out,
|  | const GTXabsl2Log & | log
| ) |

  | Streaming operator that writes KickCase to a stream. Parameters:
  out | The stream to write on.
  log | The log object.
Returns: The stream. Definition at line 139 of file GTXabsl2ProfilerLog.cpp. References GTXabsl2Log::inputSymbolNames, GTXabsl2Log::nameTable, and out.